org.infinispan.schematic.internal

## Class SchematicEntryDelta

- java.lang.Object
- - org.infinispan.schematic.internal.SchematicEntryDelta

- All Implemented Interfaces:
    org.infinispan.atomic.Delta, DocumentObserver, SchematicDelta

      @SerializeWith(value=SchematicEntryDelta.Externalizer.class)
      public class SchematicEntryDelta
      extends Object
      implements SchematicDelta

  An implementation of the `Delta` for a `SchematicEntry`.
  Since:
    5.1
  See Also:
    `AtomicHashMapDelta`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchematicEntryDelta.Externalizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchematicEntryDelta(String key)`
    `SchematicEntryDelta(String key, List<Operation> changeLog)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOperation(Operation o)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isRecordingOperations()`
    `org.infinispan.atomic.DeltaAware` | `merge(org.infinispan.atomic.DeltaAware d)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchematicEntryDelta

          public SchematicEntryDelta(String key)

    - #### SchematicEntryDelta

          public SchematicEntryDelta(String key,
                             List<Operation> changeLog)

  - ### Method Detail

    - #### merge

          public org.infinispan.atomic.DeltaAware merge(org.infinispan.atomic.DeltaAware d)

      Specified by:
        `merge` in interface `org.infinispan.atomic.Delta`

    - #### isRecordingOperations

          public boolean isRecordingOperations()

      Specified by:
        `isRecordingOperations` in interface `SchematicDelta`

    - #### addOperation

          public void addOperation(Operation o)

      Specified by:
        `addOperation` in interface `DocumentObserver`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.